<?php
// Assuming you have included your database connection script here
require_once '../db_config.php';

// Check if the file was uploaded without errors
if ($_FILES['qr_img']['error'] === UPLOAD_ERR_OK) {
    $user_ip = $_POST['userIP'];
    $file = $_FILES['qr_img'];

    // Define the directory path using the user's IP address
    $userDirPath = "../qr_uploads/". $user_ip; // Adjusted path to go one level up

    // Check if the user's directory exists, create if not
    if (!file_exists($userDirPath)) {
        mkdir($userDirPath, 0777, true);
    }

    // Move the uploaded file to the user's directory
    $fileName = basename($file["name"]);
    $filePath = $userDirPath. '/'. $fileName;
    if (move_uploaded_file($file["tmp_name"], $filePath)) {
        // Prepare the file path for database insertion
        $dbFilePath = ltrim(str_replace("../", "", $filePath), "/");

        // Prepare the SQL statement to update the database
        $updateFilePathSql = "UPDATE main SET qr_img =? WHERE ip_address =?";
        $stmt = $conn->prepare($updateFilePathSql);
        $stmt->bind_param("ss", $dbFilePath, $user_ip);

        // Execute the statement
        if ($stmt->execute()) {
            echo "File uploaded and database updated successfully.";
        } else {
            echo "Failed to update database.";
        }

        $stmt->close();
    } else {
        echo "Failed to move the uploaded file.";
    }
} else {
    echo "File upload error: ". $_FILES['qr_img']['error'];
}
?>