<?php
// Get the JSON data from the request body
$jsonData = file_get_contents('php://input');

// Decode the JSON data into a PHP array
$newDataGroup = json_decode($jsonData, true);

// Load the existing data from custom_command.json
$existingData = file_get_contents('custom_tan.json');
$existingDataArray = json_decode($existingData, true);

// Iterate through the new data group
foreach ($newDataGroup as $dataGroup) {
    // Extract the userIP from the data group
    $userIP = $dataGroup['userIP'];

    // Flag to indicate if an existing entry was found and replaced
    $entryReplaced = false;

    // Iterate through the existing data to check for an entry with the same IP address
    foreach ($existingDataArray as $key => $existingDataGroup) {
        if (isset($existingDataGroup['userIP']) && $existingDataGroup['userIP'] == $userIP) {
            // Replace the existing entry with the new data group
            $existingDataArray[$key] = $dataGroup;
            $entryReplaced = true;
            break;
        }
    }

    // If no existing entry was found, append the new data group to the existing data
    if (!$entryReplaced) {
        $existingDataArray[] = $dataGroup;
    }
}

// Convert the updated data back to JSON
$updatedData = json_encode($existingDataArray, JSON_PRETTY_PRINT);

// Save the updated data to custom_command.json
if (file_put_contents('custom_tan.json', $updatedData)) {
    echo "Data saved successfully.";
} else {
    echo "Failed to save data.";
}
?>