<?php
// Include the database configuration file
require_once 'db_config.php';

// Check if the request method is GET
if ($_SERVER["REQUEST_METHOD"] == "GET") {
    // Get the GET data (userId)
    $userId = $_GET['userId'];

    // Prepare an SQL statement to fetch the notes for the user
    $stmt = $conn->prepare("SELECT notes FROM main WHERE user_id = ?");
    $stmt->bind_param("s", $userId);

    // Execute the statement
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        // Fetch the notes
        $row = $result->fetch_assoc();
        echo $row['notes'];
    } else {
        echo "No notes found for this user.";
    }

    // Close the statement and the database connection
    $stmt->close();
    $conn->close();
} else {
    echo "Invalid request method";
}
?>