<?php
// Include the database configuration file
require_once 'db_config.php';

// Retrieve the sort parameter from the query string
session_start();

// Retrieve the sort parameter from the query string
// If not provided, use the last used sort direction from the session
$sort = isset($_GET['sort']) ? $_GET['sort'] : (isset($_SESSION['lastSort']) ? $_SESSION['lastSort'] : null);

// Store the current sort direction in the session for future use
if (isset($_GET['sort'])) {
    $_SESSION['lastSort'] = $_GET['sort'];
}

// Retrieve the filter parameter from the query string
$filter = isset($_GET['filter']) ? $_GET['filter'] : 'all'; // Default to 'all' if not provided

// Modify the SQL query to include sorting and filtering
$sql = "SELECT * FROM main";
if ($filter === 'unhidden') {
    $sql .= " WHERE hide = 0"; // Assuming 'hide' column is used to indicate hidden status
} elseif ($filter === 'hidden') {
    $sql .= " WHERE hide = 1"; // Assuming 'hide' column is used to indicate hidden status
}
$sql .= " ORDER BY access_time " . ($sort === 'asc' ? 'ASC' : 'DESC');

$result = $conn->query($sql);

// Initialize an empty array to store user data
$users = [];

// Check if there are any records
if ($result->num_rows > 0) {
    // Fetch user data and add it to the array
    while ($row = $result->fetch_assoc()) {
        $users[] = $row;
    }
}

// Close the database connection
$conn->close();

// Encode the user data as JSON and output it
header('Content-Type: application/json');
echo json_encode($users);
?>