<?php
session_start();
require_once '../db_config.php';

// Check if the form is submitted
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST["username"];
    $password = $_POST["password"];

    // Prepare and execute SQL query
    // Assuming $username and $password are already set from the POST request
    $sql = "SELECT status FROM admin_users WHERE BINARY username = ? AND BINARY password = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("ss", $username, $password);
    $stmt->execute();
    $result = $stmt->get_result();

    // Check if there is a matching user
    if ($result->num_rows == 1) {
        // Fetch the result as an associative array
        $row = $result->fetch_assoc();

        // Set session variables
        $_SESSION["loggedin"] = true;
        $_SESSION["username"] = $username;
        $_SESSION["status"] = $row['status']; // Correctly fetching the status

        // Redirect to the index page after successful login
        header("Location:../index.php");
        exit;
    } else {
        $error = "Invalid username or password";
    }
}
?>



<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Login</title>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <style>
       .centered-container {
            background-color: #f8f9fa;
            display: flex;
            justify-content: center;
            align-items: center;
            height: 100vh;
        }
       .custom-form {
            background-color: #fff;
            padding: 20px;
            border-radius: 10px;
            box-shadow: 0 0 10px rgba(0,0,0,0.1);
            max-width: 500px; /* Adjust the max-width as needed */
            width: 100%;
        }
       .btn-fill-width {
            width: 100%;
        }
        .inputcustom {
            width: 1em;
            height: 1em;
            margin-top: .25em;
            vertical-align: top;
            background-color: #fff;
            background-repeat: no-repeat;
            background-position: center;
            background-size: contain;
            border: 1px solid rgba(0,0,0,.25); 
        }
    </style>
</head>

<body>
    <div class="centered-container">
        <div class="custom-form">
            <h2 class="mb-4 text-left">Login</h2>
            <?php if (isset($_SESSION['login_success']) && $_SESSION['login_success']):?>
                <div class="alert alert-success" role="alert">
                    Welcome, <?php echo $_SESSION["username"]; ?>! You are logged in.
                </div>
                <?php unset($_SESSION['login_success']);?>
            <?php endif;?> 
            <?php if (isset($error)): ?>
                <div class="alert alert-danger"><?php echo $error; ?></div>
            <?php endif; ?>
            <form method="post" action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>">
                <div class="form-group">
                    <label for="username">Username:</label>
                    <input type="text" class="form-control" id="username" name="username" required>
                </div>
                <div class="form-group">
                    <label for="password">Password:</label>
                    <input type="password" class="form-control" id="password" name="password" required>
                </div>
                <button type="submit" class="btn btn-primary btn-fill-width">Login</button>

            </form>
        </div>
    </div>

    <!-- Include jQuery first -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

    <!-- Then include Bootstrap's JavaScript -->
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>

</html>
