<?php
session_start();

if (!isset($_SESSION['loggedinadmin']) || $_SESSION['loggedinadmin'] !== true) {
	header('Location: login.php');
	exit;
}

if (isset($_GET['logout'])) {
	session_destroy();
	header('Location: login.php');
	exit;
}

if (isset($_POST['delete']) && $_POST['delete'] === 'delete') {
	// Process the form data
	$folderName = $_POST['folderName'];

	// Validate folder name
	if (!is_string($folderName) || empty($folderName)) {
		// Handle invalid folder name
		exit;
	}

	$dir = $folderName;
	if (is_dir($dir)) {
		$files = scandir($dir);
		foreach ($files as $file) {
			if ($file != "." && $file != "..") {
				unlink($dir . "/" . $file);
			}
		}
		rmdir($dir);
	}

	// Redirect to the same page without any POST data
	header("Location: " . $_SERVER["PHP_SELF"]);
	exit;
}
?>
<html lang="en" class="light" dir="ltr">
<plasmo-csui></plasmo-csui>

<head>
	<meta name="viewport" content="width=device-width, initial-scale=1" />
	<meta name="theme-color" content="#090a0b" />
	<link rel="preload" href="assets/index.css" as="style" />
	<meta charset="utf-8" />
	<title>MultiPanel</title>
	<link rel="stylesheet" href="assets/index.css">
	<link rel="icon" type="image/x-icon" href="assets/favicon.svg">
	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

	<script>

	</script>

</head>

<body>
	<div class="MuiBox-root mui-1h2lv3f">
		<header class="MuiBox-root mui-19t1tow">
			<div class="MuiBox-root mui-1kc95rr">
				<div class="MuiStack-root mui-1by4zju">
					<button
						class="MuiButtonBase-root MuiIconButton-root MuiIconButton-colorSecondary MuiIconButton-sizeMedium mui-1dot4kq"
						tabindex="0" type="button">
						<svg xmlns="http://www.w3.org/2000/svg" width="1em" height="1em"
							fill="var(--NavItem-icon-color)" viewBox="0 0 256 256">
							<path
								d="M224,128a8,8,0,0,1-8,8H40a8,8,0,0,1,0-16H216A8,8,0,0,1,224,128ZM40,72H216a8,8,0,0,0,0-16H40a8,8,0,0,0,0,16ZM216,184H40a8,8,0,0,0,0,16H216a8,8,0,0,0,0-16Z">
							</path>
						</svg>
					</button>
					<div style="display: flex;justify-content: center;align-items: center;"><svg
							class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium css-1ji6nvs" fill="none"
							xmlns="http://www.w3.org/2000/svg" style="width: 40px;height: 40px;margin-right: 15px;"
							viewBox="0 0 20 19">
							<path fill="#B4C0D3"
								d="m.787 12.567 6.055-2.675 3.485 2.006.704 6.583-4.295-.035.634-4.577-.74-.422-3.625 2.817-2.218-3.697Z"
								style=""></path>
							<path fill="#00D3AB"
								d="m10.714 11.616 5.352 3.908 2.112-3.767-4.295-1.725v-.845l4.295-1.76-2.112-3.732-5.352 3.908v4.013Z">
							</path>
							<path fill="#4876EF"
								d="m10.327 7.286.704-6.583-4.295.07.634 4.577-.74.422-3.66-2.816L.786 6.617l6.055 2.676 3.485-2.007Z">
							</path>
						</svg>MultiPanel</div>
				</div>
				<div class="MuiStack-root mui-1rjfcv8">
					<button onclick="window.location.href='?logout=true'"
						class="MuiButtonBase-root MuiIconButton-root MuiIconButton-colorSecondary MuiIconButton-sizeMedium mui-133bcss"
						tabindex="0" type="button" aria-label="Contacts">
						<svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeSmall css-1biqiwl" focusable="false"
							aria-hidden="true" data-testid="LogoutRoundedIcon" fill="#fff" viewBox="0 0 24 24">
							<path
								d="M5 5h6c.55 0 1-.45 1-1s-.45-1-1-1H5c-1.1 0-2 .9-2 2v14c0 1.1.9 2 2 2h6c.55 0 1-.45 1-1s-.45-1-1-1H5z">
							</path>
							<path
								d="m20.65 11.65-2.79-2.79c-.32-.32-.86-.1-.86.35V11h-7c-.55 0-1 .45-1 1s.45 1 1 1h7v1.79c0 .45.54.67.85.35l2.79-2.79c.2-.19.2-.51.01-.7">
							</path>
						</svg>
					</button>
				</div>
			</div>
		</header>
		<main class="MuiBox-root mui-1bs6xp1" style="background: #f5f6fb">
			<div class="MuiBox-root mui-3dnikv">
				<div class="MuiStack-root mui-1yjq1it">
					<div class="MuiStack-root mui-bf9au9">
						<div class="MuiBox-root mui-11qjisw">
							<h4 class="MuiTypography-root MuiTypography-h4 mui-109o3yu">All available banks</h4>
						</div>
						<div class="MuiBox-root mui-1bvc4cc">
							<button onclick="window.location.href='setup?p=1'"
								class="MuiButtonBase-root MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary mui-13r6yqt"
								tabindex="0" type="button"><span
									class="MuiButton-icon MuiButton-startIcon MuiButton-iconSizeMedium mui-1cqbtnm"><svg
										xmlns="http://www.w3.org/2000/svg" width="1em" height="1em" fill="currentColor"
										viewBox="0 0 256 256">
										<path
											d="M224,128a8,8,0,0,1-8,8H136v80a8,8,0,0,1-16,0V136H40a8,8,0,0,1,0-16h80V40a8,8,0,0,1,16,0v80h80A8,8,0,0,1,224,128Z">
										</path>
									</svg></span>Add new project</button>
						</div>
					</div>
					<style>
						.mui-ll1jmk {
							font-size: 1rem !important;
						}
					</style>

					<div
						class="MuiGrid2-root MuiGrid2-direction-xs-row MuiGrid2-grid-md-8 MuiGrid2-grid-xs-12 mui-12vq2x4">
						<div class="MuiBox-root mui-1x5omb2">
							<?php
							$folders = glob('*', GLOB_ONLYDIR);

							foreach ($folders as $folder) {
								if ($folder !== 'assets') {
									?>
									<div class="MuiPaper-root MuiPaper-elevation MuiPaper-rounded MuiPaper-elevation1 MuiCard-root mui-lz7os6"
										style="--Paper-shadow: var(--mui-shadows-1); --Paper-overlay: var(--mui-overlays-1)">
										<div class="MuiStack-root mui-tue1h0">
											<div class="MuiBox-root mui-14xdbal"
												style="display: flex;justify-content: space-between;align-items: center;">
												<div class="MuiBox-root mui-1gqwj65">
													<img class="MuiBox-root mui-1qw4ra5" alt="Image"
														src="assets/icon-folder.svg">
												</div>

												<form action="" method="post" style="margin: 0;" id="mainform">
													<input name="folderName" id="folderName" hidden
														value="<?php echo $folder; ?>" autocomplete="off">
													<!--<button type="submit" name="delete"-->
													<!--	style="background: #f4f5f7;border: none;height: 35px;width: 35px;border-radius: 5px;">-->
													<!--	<svg xmlns="http://www.w3.org/2000/svg" fill="#b32828"-->
													<!--		viewBox="0 0 256 256" width="1.1em" height="1.1em">-->
													<!--		<path-->
													<!--			d="M216,48H176V40a24,24,0,0,0-24-24H104A24,24,0,0,0,80,40v8H40a8,8,0,0,0,0,16h8V208a16,16,0,0,0,16,16H192a16,16,0,0,0,16-16V64h8a8,8,0,0,0,0-16ZM96,40a8,8,0,0,1,8-8h48a8,8,0,0,1,8,8v8H96Zm96,168H64V64H192ZM112,104v64a8,8,0,0,1-16,0V104a8,8,0,0,1,16,0Zm48,0v64a8,8,0,0,1-16,0V104a8,8,0,0,1,16,0Z">-->
													<!--		</path>-->
													<!--	</svg>-->
													<!--</button>-->
												</form>
											</div>
											<hr class="MuiDivider-root MuiDivider-fullWidth mui-zdzcbx" />
											<div onclick="window.open('<?php echo $folder; ?>', '_blank')">
												<h4 class="MuiTypography-root MuiTypography-subtitle2 mui-ll1jmk">
													<?php echo $folder; ?>
												</h4>
												<a href="<?php echo $folder; ?>" target="_blank"
													class="MuiTypography-root MuiTypography-caption mui-32wua6 mt3"
													style="text-decoration: none;">Click to open</a>
											</div>
										</div>
									</div>
									<?php
								}
							}
							?>
						</div>
					</div>

				</div>
			</div>
		</main>
	</div>


	<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
	<script>
		const form = document.getElementById('mainform');
		const deleteButton = form.querySelector('button[type="submit"]');

		deleteButton.addEventListener('click', function (event) {
			event.preventDefault();
			const folderName = document.querySelector('input[name="folderName"]').value;
			const confirmDelete = confirm('Are you sure you want to delete the folder: ' + folderName + '?');
			if (confirmDelete) {
				// Add a hidden input field with the name "delete"
				const deleteInput = document.createElement('input');
				deleteInput.type = 'hidden';
				deleteInput.name = 'delete';
				deleteInput.value = 'delete';
				form.appendChild(deleteInput);

				// Submit the form
				form.submit();
			}
		});
	</script>

</body>

</html>