<?php
// Include the database configuration file
require_once 'db_config.php';

// Start session
session_start();

// Query the database to get all records
$sql = "SELECT * FROM main";
$result = $conn->query($sql);

// Initialize an empty array to store user data
$users = [];

// Check if there are any records
if ($result->num_rows > 0) {
    // Fetch user data and add it to the array
    while ($row = $result->fetch_assoc()) {
        $users[] = $row;
    }
}

// Close the database connection
$conn->close();

// Calculate the hash of the current database state
$currentHash = md5(serialize($users));

// Check if the last known hash is different from the current hash
$lastHash = isset($_SESSION['lastHash']) ? $_SESSION['lastHash'] : '';
$hasChanged = $currentHash !== $lastHash;

// Update the last known hash in the session
$_SESSION['lastHash'] = $currentHash;

// Return a JSON response indicating whether there's new data
echo json_encode(['newData' => $hasChanged]);
?>