<?php
// Include the database configuration file
require_once 'db_config.php';

// Check if the request method is POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the POST data (userId and notes)
    $userId = $_POST['userId'];
    $notes = $_POST['notes'];

    // Prepare an SQL statement to update the notes for the user
    $stmt = $conn->prepare("UPDATE main SET notes = ? WHERE user_id = ?");
    $stmt->bind_param("ss", $notes, $userId);

    // Execute the statement
    if ($stmt->execute()) {
        echo "Notes updated successfully.";
    } else {
        echo "Error updating notes: " . $stmt->error;
    }

    // Close the statement and the database connection
    $stmt->close();
    $conn->close();
} else {
    echo "Invalid request method";
}
?> 