<?php

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    ob_start();

    $response = array(
        'error' => '',
        'success' => '',
        'show_complete_button' => false
    );

    $db_name = $_POST["db_name"] ?? '';
    $username = $_POST["username"] ?? '';
    $password = $_POST["password"] ?? '';

    if (isset($_POST["verify"])) {
        $conn = @mysqli_connect("localhost:3306", $username, $password, $db_name);
        if ($conn) {
            // Check if there is at least one table in the database
            $result = mysqli_query($conn, "SHOW TABLES");
            if (mysqli_num_rows($result) > 0) {
                $response['tables_exist'] = true;
                $response['success'] = "Connection successful!";
                $response['show_complete_button'] = true;
            } else {
                $response['tables_exist'] = false;
                $response['error'] = "No tables found in the database. Please import the sql into the database in phpmyadmin";
            }
            
            mysqli_close($conn);
        } else {
            $response['error'] = "Connection failed. Please check your details.";
        }
    } elseif (isset($_POST['submit'])) {
        $folder_name = $_POST['folder_name'];
        $file = $_FILES['file'];

        // Create folder
        mkdir($folder_name);

        // Unzip files
        $zip = new ZipArchive;
        $res = $zip->open($file['tmp_name']);
        if ($res === TRUE) {
            $zip->extractTo($folder_name);
            $zip->close();
            header('Location: ?p=2&folder=' . urlencode($folder_name));
            exit;
        }
    } elseif (isset($_POST['finish'])) {
        $folder_name = $_GET['folder'];
        $db_name = $_POST['db_name'];
        $username = $_POST['username'];
        $password = $_POST['password'];

        // Delete the contents of the db_config.php file
        file_put_contents($folder_name . '/db_config.php', '');

        // Write the new contents to the db_config.php file
        $content = "<?php\n";
        $content .= "\$servername = \"localhost:3306\";\n";
        $content .= "\$username = \"" . $username . "\";\n";
        $content .= "\$password = \"" . $password . "\";\n";
        $content .= "\$dbname = \"" . $db_name . "\";\n\n";
        $content .= "\$conn = new mysqli(\$servername, \$username, \$password, \$dbname);\n\n";
        $content .= "if (\$conn->connect_error) {\n";
        $content .= "    die(\"Connection failed: \" . \$conn->connect_error);\n";
        $content .= "}\n";
        file_put_contents($folder_name . '/db_config.php', $content);
        header('Location: ?p=3&folder=' . urlencode($folder_name));
        exit;
    }
    ob_end_clean();

    // Set proper headers
    header('Content-Type: application/json');
    // Prevent caching
    header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
    header("Cache-Control: post-check=0, pre-check=0", false);
    header("Pragma: no-cache");

    echo json_encode($response);
    exit;
}
?>

<html lang="en" data-mui-color-scheme="dark" data-joy-color-scheme="dark">
<plasmo-csui></plasmo-csui>

<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="initial-scale=1, width=device-width" />
    <link rel="preload" href="assets/setup.css" as="style" />
    <title>Setup</title>
    <link rel="stylesheet" href="assets/setup.css" />
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link
        href="https://fonts.googleapis.com/css2?family=IBM+Plex+Mono:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;1,100;1,200;1,300;1,400;1,500;1,600;1,700&display=swap"
        rel="stylesheet">
    <style>
        input {
            font-family: 'IBM Plex Mono', monospace !important;
        }
    </style>
    <link rel="icon" type="image/x-icon" href="assets/favicon.svg">
</head>

<body dir="ltr" class="mode-dark">
    <div id="__next">
        <div class="MuiBox-root css-g7uspx">
            <div class="MuiBox-root css-zeyw6m">
                <div class="MuiGrid2-root MuiGrid2-container MuiGrid2-direction-xs-row css-zkzxau">
                    <div class="MuiGrid2-root MuiGrid2-direction-xs-row MuiGrid2-grid-xs-12 MuiGrid2-grid-sm-5 MuiGrid2-grid-lg-4 css-14qi6gn"
                        style="background: #0c1017;color: white;"> 
                        <div class="MuiBox-root css-1jo7bu0">
                            <svg class="MuiSvgIcon-root MuiSvgIcon-fontSizeMedium css-1ji6nvs" focusable="false" aria-hidden="true" viewBox="0 0 86 19" fill="none" xmlns="http://www.w3.org/2000/svg" height="40" width="140" style="margin-bottom: 14px;"><path fill="#B4C0D3" d="m.787 12.567 6.055-2.675 3.485 2.006.704 6.583-4.295-.035.634-4.577-.74-.422-3.625 2.817-2.218-3.697Z"></path><path fill="#00D3AB" d="m10.714 11.616 5.352 3.908 2.112-3.767-4.295-1.725v-.845l4.295-1.76-2.112-3.732-5.352 3.908v4.013Z"></path><path fill="#4876EF" d="m10.327 7.286.704-6.583-4.295.07.634 4.577-.74.422-3.66-2.816L.786 6.617l6.055 2.676 3.485-2.007Z"></path></svg>
                            
                            <h6 class="MuiTypography-root MuiTypography-subtitle2 css-177lznq" style="color: #8b99b2;">
                                PANEL SETUP</h6>
                            <h4 class="MuiTypography-root MuiTypography-h4 MuiTypography-gutterBottom css-1heak37">
                                Installation</h4>
                            <h6 class="MuiTypography-root MuiTypography-subtitle2 css-177lznq"
                                style="font-size: 12px;  line-height: 1.3;color: #8b99b2;">Make sure you follow these
                                steps carefully to successfully setup install a new project</h6>
                            <ul class="MuiList-root css-1hydk6s">
                                <li class="MuiListItem-root MuiListItem-gutters MuiListItem-padding css-1x9xxxm">
                                    <p class="MuiTypography-root MuiTypography-body1 css-1ym65al"
                                        style="font-size: 15px">1</p>
                                    <div class="MuiListItemText-root MuiListItemText-multiline css-188letv">
                                        <span
                                            class="MuiTypography-root MuiTypography-body1 MuiListItemText-primary css-1toyoow">PROJECT
                                            FILES</span>
                                        <p class="MuiTypography-root MuiTypography-body2 MuiListItemText-secondary css-1pjpxaz"
                                            style="color: #8b99b2;">The panel files (in zip format) that would be
                                            uploaded into the folder.</p>
                                    </div>
                                </li>
                                <li class="MuiListItem-root MuiListItem-gutters MuiListItem-padding css-1x9xxxm">
                                    <p class="MuiTypography-root MuiTypography-body1 css-1ym65al"
                                        style="font-size: 15px">2</p>
                                    <div class="MuiListItemText-root MuiListItemText-multiline css-188letv">
                                        <span
                                            class="MuiTypography-root MuiTypography-body1 MuiListItemText-primary css-1toyoow">DATABASE</span>
                                        <p class="MuiTypography-root MuiTypography-body2 MuiListItemText-secondary css-1pjpxaz"
                                            style="color: #8b99b2;">Make sure you have already created a database for
                                            this project, imported the sql into it, and assigned a user. Also make sure
                                            you have the database credentials (username, password, dbname etc) ready.
                                        </p>
                                    </div>
                                </li>
                            </ul>
                            <button onclick="window.location.href='index.php'" tabindex="0" style="position: relative;background: white;color: black;width: 100%;" class="MuiButtonBase-root MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary MuiButton-root MuiButton-contained MuiButton-containedPrimary MuiButton-sizeMedium MuiButton-containedSizeMedium MuiButton-colorPrimary css-1mgy8lp">Go Home
                            </button>
                        </div>
                        
                    </div>

                    <?php
                    $p = $_GET['p']; 

                    if (empty($p) || $p == 1) {
                        include 'assets/steps/upload.txt';
                    } elseif ($p == 2) {
                        include 'assets/steps/database.txt';
                    } elseif ($p == 3) {
                        include 'assets/steps/finished.txt';
                    } else {
                        // Optional: display a default message if p is not 1, 2, or 3
                        echo "Invalid value for p";
                    }
                    ?>
                </div>
            </div>
        </div>
    </div>
    <next-route-announcer>
        <p aria-live="assertive" id="__next-route-announcer__" role="alert"
            style="border: 0px; clip: rect(0px, 0px, 0px, 0px); height: 1px; margin: -1px; overflow: hidden; padding: 0px; position: absolute; top: 0px; width: 1px; white-space: nowrap; overflow-wrap: normal">
        </p>
    </next-route-announcer>
</body>

</html>