<?php
// Include the database configuration file
require_once 'db_config.php';

// Define the file path for the SQL export
$filePath = 'postb_backup.sql';

// Open the file for writing
$fp = fopen($filePath, 'w');
if (!$fp) {
    die("Unable to open file for writing.");
}

// Get the table structure
$tableStructureQuery = $conn->query("SHOW CREATE TABLE main");
if ($tableStructureQuery) {
    $tableStructure = $tableStructureQuery->fetch_assoc();
    fwrite($fp, $tableStructure['Create Table'] . ";\n\n");
} else {
    die("Error fetching table structure: " . $conn->error);
}

// Get the table data
$tableDataQuery = $conn->query("SELECT * FROM main");
if ($tableDataQuery) {
    while ($row = $tableDataQuery->fetch_assoc()) {
        $row = array_map([$conn, 'real_escape_string'], $row);
        $values = "'" . implode("', '", $row) . "'";
        $sql = "INSERT INTO `main` (`" . implode("`, `", array_keys($row)) . "`) VALUES ($values);\n";
        fwrite($fp, $sql);
    }
} else {
    die("Error fetching table data: " . $conn->error);
}

// Close the file
fclose($fp);

// Set headers to prompt the browser to download the file
header('Content-Type: application/octet-stream');
header('Content-Disposition: attachment; filename="postb_backup.sql"');
header('Expires: 0');
header('Cache-Control: must-revalidate, post-check=0, pre-check=0');
header('Pragma: public');
header('Content-Length: ' . filesize($filePath));
header('Content-Transfer-Encoding: binary');
header('Connection: close');

// Output the file content
readfile($filePath);

// Delete the file after sending it to the browser
unlink($filePath);
exit;
?>
