<?php
// Include database configuration
require_once '../db_config.php';

// Set header to indicate JSON response
header('Content-Type: application/json');

// Initialize response array
$response = array(
    'success' => false,
    'message' => 'An unknown error occurred.'
);

// Sanitize and validate input data
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $userId = intval($_POST['userId']);
 
    // Check connection
    if ($conn->connect_error) {
        die(json_encode(array('success' => false, 'message' => "Connection failed: ". $conn->connect_error)));
    }

    // Prepare and execute the DELETE statement
    $sql = "DELETE FROM admin_users WHERE id=?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param("i", $userId);

    if ($stmt->execute()) {
        if ($stmt->affected_rows > 0) {
            $response['success'] = true;
            $response['message'] = "User deleted successfully.";
        } else {
            $response['message'] = "No user found with the specified ID.";
        }
    } else {
        $response['message'] = "Failed to delete user: ". $stmt->error;
    }

    // Close statement and connection
    $stmt->close();
    $conn->close();

    // Send JSON response
    echo json_encode($response);
} else {
    echo json_encode(array('success' => false, 'message' => "Invalid request method."));
}
?>