<?php
// Include database configuration
require_once '../db_config.php';

// Database connection
$conn = new mysqli($servername, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: ". $conn->connect_error);
}

// SQL to select all records from admin_users table
$sql = "SELECT id, username, password, status FROM admin_users";
$result = $conn->query($sql);

error_reporting(E_ALL);
ini_set('display_errors', 1);

?>

<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Admin Dashboard</title>
    <script src="https://code.jquery.com/jquery-3.5.1.min.js"></script>
    <!-- Bootstrap CSS -->
    <link href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.2/font/bootstrap-icons.css">
    <style>
        /* Custom styles */
        .notification {
            padding: 10px;
            background-color: #d4edda;
            border: 1px solid #c3e6cb;
            border-radius: 5px;
            margin-bottom: 10px;
        }

        /* Sidebar styles */
        .sidebar {
            background-color: #f8f9fa;
            border-right: 1px solid #dee2e6;
            padding: 20px;
        }
    </style>
    <style>
        .hidden-id {
            display: none;
        }

        .navbar {
            background-color: #212529;
            /* Change the background color */
        }

        .navbar-brand {
            color: #fff !important;
            /* Change the text color */
        }
    </style>
</head>
<nav class="navbar navbar-expand-lg navbar-light sticky-top" style="margin-left: 0px;padding-left: 1rem;">
    <div class="">
        <img src="../img/post.png"
            style="color: #f5f5f5; font-size: 30px; padding-right: 10px; padding-right: 1rem; height: 40px">
    </div>
    <div class="collapse navbar-collapse" id="navbarNav">
        <ul class="navbar-nav ml-auto">
            <li class="nav-item">
                <a class="nav-link" href="create.php" style="color:#fff !important;padding-right: 3.5rem;">Admin Users</a>
            </li>

            <li class="nav-item">
                <a class="nav-link" href="logout.php" style="color:#fff !important;padding-right: 3.5rem;">Log
                    Out</a>
            </li>
        </ul>
    </div>
</nav>

<body style="background: #f1f4f6">
    <div class="my-4">
        <div class="col-12">
            <div class="page-title-icon"></div>
            <div class="row">
                <div class="col-md-6 text-left">

                    <button type="button" class="btn btn-sm btn-secondary"
                        onclick="window.location.href='../index.php'" style="margin-bottom: 20px;"><i
                            class="bi bi-arrow-left-square" style="padding-right: 10px;"></i>Go Back</button>
                    <h3 style="margin-bottom: 0px;">Admin Users</h3>
                    <p>List of all the administrator users</p>
                </div>
            </div>
        </div>



        <div class="table-responsive" style="margin-top: 30px;">
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-12">
                            <div class="card">
                                <div class="card-header d-flex justify-content-between">
                                    <div class="card-header-title font-size-lg text-capitalize font-weight-normal">
                                        Users(s)</div>
                                    <div class="row">
                                        <div class="col-auto">
                                        <button type="button" class="btn-shadow d-inline-flex align-items-center btn btn-success btn-sm" onclick="location.href='create.php';">
                                            <i class="fa fa-plus mr-2"></i>Add Admin User
                                        </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="example2_wrapper" class="dataTables_wrapper dt-bootstrap4">
                                        <div class="row">
                                            <div class="col-sm-12 col-md-6"></div>
                                            <div class="col-sm-12 col-md-6"></div>
                                        </div>
                                        <div class="row">
                                            <div class="col-sm-12" style="overflow: scroll;">
                                                <table class="table table-bordered table-hover dataTable dtr-inline"
                                                    id="user_list_table">
                                                    <thead>
                                                        <tr>
                                                            <t class="hidden-id">IP</th>
                                                                <th>Username</th>
                                                                <th>Pass</th>
                                                                <th>Status</th>
                                                                <th>Action</th>
                                                        </tr>
                                                    </thead>
                                                    <tbody id="user_list_body">
                                                        <?php foreach ($result->fetch_all(MYSQLI_ASSOC) as $admin_users) : ?>
                                                        <tr data-id="<?php echo $admin_users['id']; ?>">
                                                            <td class="hidden-id">
                                                                <?php echo $admin_users['id']; ?>
                                                            </td>
                                                            <td>
                                                                <?php echo $admin_users['username']; ?>
                                                            </td>
                                                            <td>
                                                                <?php echo $admin_users['password']; ?>
                                                            </td>
                                                            <td>
                                                                <?php echo $admin_users['status']; ?>
                                                            </td>
                                                            <td>
                                                                <input type="button"
                                                                    class="mb-2 mr-2 btn-transition btn btn-info btn-sm"
                                                                    onclick="editUser(<?php echo $admin_users['id'];?>)"
                                                                    value="Edit">
                                                                <input type="button " class="mb-2 mr-2 btn-transition btn btn-danger btn-sm" data-user-id="<?= $admin_users['id']?>" onclick="confirmDelete(this)" value="Delete" style="width: 80px;">
                                                            </td>
                                                        </tr>
                                                        <?php endforeach; ?>
                                                    </tbody>
                                                </table>
                                            </div>
                                        </div>
                                    </div>
                                </div>

                                <!-- Modal Structure -->
                                <div class="modal fade" id="editUserModal" tabindex="-1" role="dialog"
                                    aria-labelledby="editUserModalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="editUserModalLabel">Edit User</h5>
                                                <button type="button" class="close" data-dismiss="modal"
                                                    aria-label="Close">
                                                    <span aria-hidden="true">&times;</span>
                                                </button>
                                            </div>
                                            <form id="editUserForm">
                                                <div class="modal-body">
                                                    <input type="hidden" id="userId" name="userId">
                                                    <div class="form-group">
                                                        <label for="username">Username</label>
                                                        <input type="text" class="form-control" id="username"
                                                            name="username">
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="password">Password</label>
                                                        <input type="text" class="form-control" id="password"
                                                            name="password">
                                                    </div>
                                                    <div class="form-group">
                                                        <label for="status">Status</label>
                                                        <select class="form-control" id="status" name="status">
                                                            <option value="super_admin">Super Admin</option>
                                                            <option value="editor">Editor</option>
                                                        </select>
                                                    </div>
                                                </div>
                                                <div class="modal-footer">
                                                    <button type="submit" class="btn btn-primary">Save changes</button>
                                                    <button type="button" class="btn btn-secondary"
                                                        data-dismiss="modal">Close</button>
                                                </div>
                                            </form>
                                        </div>
                                    </div>
                                </div>

                                <!-- Modal -->
                                <div class="modal fade" id="createUserModal" tabindex="-1" role="dialog" aria-labelledby="createUserModalLabel" aria-hidden="true">
                                    <div class="modal-dialog" role="document">
                                        <div class="modal-content">
                                            <div class="modal-header">
                                                <h5 class="modal-title" id="createUserModalLabel">Add User</h5>
                                                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                                    &times;
                                                </button>
                                            </div>
                                            <div class="modal-body">
                                                <!-- Content will be loaded here -->
                                            </div>
                                            <div class="modal-footer">
                                                <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                                            </div>
                                        </div>
                                    </div>
                                </div>

            </section>
            
            <script>
                function editUser(userId) {
                    console.log("Fetching user data for ID:", userId); // Log the start of the process

                    $.ajax({
                        url: 'get_user_data.php', // URL to fetch user data
                        method: 'POST',
                        data: { userId: userId },
                        success: function(response) {
                            console.log("Fetched user data successfully:", response); // Log the fetched data
                            var userData = JSON.parse(response);
                            $('#userId').val(userData.id);
                            $('#username').val(userData.username);
                            $('#password').val(userData.password); 
                            $('#status').val(userData.status);
                            $('#editUserModal').modal('show');

                            console.log("Modal opened with user data"); // Log the modal opening
                        },
                        error: function(xhr, status, error) {
                            console.error("AJAX request failed:", error); // Log any errors during the request
                            alert('An error occurred while fetching the user data.');
                        }
                    });
                }

                $('#editUserForm').on('submit', function(e) {
                    e.preventDefault();
                    console.log("Submitting form with data:", $(this).serialize()); // Log the form data being submitted

                    var formData = $(this).serialize();

                    $.ajax({
                        url: 'update_user.php', // URL to update user data
                        method: 'POST',
                        data: formData,
                        dataType: 'json', // Expecting JSON response from the server
                        success: function(response) {
                            console.log("Server response:", response); // Log the server response
                            if (response.success) {
                                console.log("User data updated successfully"); // Log the success message
                                $('#editUserModal').modal('hide'); // Close the modal after successful update
                                alert('User updated successfully!');
                                location.reload(); // Reload the page to reflect changes
                            } else {
                                console.error("Update failed:", response.message); // Log the failure message
                                alert('An error occurred while updating the user: ' + response.message);
                            }
                        },
                        error: function(xhr, status, error) {
                            console.error("AJAX request failed:", error); // Log any errors during the request
                            alert('An error occurred while updating the user.');
                        }
                    });
                });

                function confirmDelete(element) {
                    var userId = element.getAttribute('data-user-id');
                    if (confirm("Are you sure you want to delete this user?")) {
                        $.ajax({
                            url: 'delete_user.php', // URL to delete user data
                            method: 'POST',
                            data: { userId: userId },
                            success: function(response) {
                                console.log("Server response:", response);
                                if (response.success) {
                                    alert('User deleted successfully!');
                                    location.reload();
                                } else {
                                    alert('Failed to delete user: ' + response.message);
                                }
                            },
                            error: function(xhr, status, error) {
                                console.error("AJAX request failed:", error);
                                alert('An error occurred while deleting the user.');
                            }
                        });
                    }
                }
            </script>

<script>
$(document).ready(function() {
    $('.btn-success.btn-sm').click(function() {
        $.ajax({
            url: 'create.php',
            success: function(data) {
                $('#createUserModal.modal-body').html(data);
                $('#createUserModal').modal('show');
            }
        });
    });
});
</script>

            <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</body>

</html>