<?php
// Include the database configuration file
require_once 'db_config.php';

// Get the raw POST data
$postData = file_get_contents("php://input");

// Decode the JSON data
$data = json_decode($postData, true);

// Check if the user ID and hide value were provided
if (isset($data['userId']) && isset($data['hide'])) {
    $userId = $data['userId'];
    $hide = $data['hide'];

    // Prepare an SQL statement to update the hide value for the user
    $stmt = $conn->prepare("UPDATE main SET hide = ? WHERE user_id = ?");
    $stmt->bind_param("is", $hide, $userId);

    // Execute the statement
    if ($stmt->execute()) {
        echo "User hide status updated successfully.";
    } else {
        echo "Error updating user hide status: " . $stmt->error;
    }

    // Close the statement and the database connection
    $stmt->close();
    $conn->close();
} else {
    echo "User ID or hide value not provided.";
}
?>